Package org.gradle.tooling.model

## Interface TaskSelector

- All Superinterfaces:
    `Launchable`, `ProjectModel`

      public interface TaskSelector
      extends Launchable

  Represents a `Launchable` that uses task name to select tasks executed from a given project and its sub-projects. This is roughly equivalent to running `gradle <task-name>` from the command-line.
  Since:
    1.12

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` | Returns the name that will be used to select tasks.

    - ### Methods inherited from interface org.gradle.tooling.model.Launchable

      `getDescription, getDisplayName, getProjectIdentifier, isPublic`

- - ### Method Detail

    - #### getName

          String getName()

      Returns the name that will be used to select tasks.
      Returns:
        The name used by this selector.